<template>
	<div style="background-color: #fff;padding: 20px;" class="boxMinHeight">
		<el-tabs v-model="activeName" @tab-click="handleClick">
			<el-tab-pane label="功勋点管理" name="1">
				<flManagement></flManagement>
			</el-tab-pane>
			<el-tab-pane label="操作记录" name="2">
				<operatingRecord ref="operatingRecord"></operatingRecord>
			</el-tab-pane>
		</el-tabs>
	</div>
</template>
<script>
import operatingRecord from '@/views/welfare/operatingRecord';
import flManagement from '@/views/welfare/flManagement';
export default {
	name: 'flBox',
	components: { operatingRecord,flManagement },
	data() {
		return {
			activeName: '1',
		};
	},
	watch: {
		dept_name(val) {
			if (val.length !== 0) {
				this.formData.dept_id = val[val.length - 1];
			} else {
				this.formData.dept_id = '0';
			}
			this.formData.page = 1;
			this.$nextTick(() => {
				this.$refs.dept.dropDownVisible = false;
				this.get_list();
			});
		}
	},
	methods: {
		handleClick(e) {
			if(e.name==2){
				this.$refs.operatingRecord.get_all_integral()
			}
		},
	},
	created() {
	}
};
</script>
<style scoped lang="scss">

</style>
